sugarcrm:
  base_url: "https://your-sugarcrm.example.com"
  client_id: "sugar"            # or your OAuth client id
  client_secret: ""              # or your OAuth client secret
  username: "your-username"
  password: "your-password"
  platform: "base"              # optional: platform string
  timeout_seconds: 30
  max_per_page: 200
  max_records: 5000              # safety cap; set 0 for unlimited
  updated_since: ""             # ISO8601, e.g. "2024-01-01T00:00:00Z"; empty means no filter

modules:
  - Emails
  - Calls
  - Meetings
  - Opportunities
  - Leads

cohere:
  api_key: "COHERE_API_KEY_PLACEHOLDER"
  base_url: "https://api.cohere.ai"      # change if needed
  files_endpoint: "/v1/files"            # configurable
  finetunes_endpoint: "/v1/fine-tunes"   # configurable
  model: "command"                        # desired base model
  job_name: "sugarcrm-finetune-demo"
  training_split_ratio: 1.0               # 1.0 = all data as training
  metadata: {"source": "sugarcrm"}

run:
  output_jsonl: "./out/sugarcrm_cohere_dataset.jsonl"
  log_level: "INFO"
